Loading...
Searching...
No Matches
pappso::specglob::AminoAcidModel Struct Reference

`#include <peptidemodel.h>`

## Public Attributes

pappso::Aa | amino_acid
SpectralAlignmentType | alignment_type
bool | bracket
double | mass_difference
bool | remove = false

## Detailed Description

Definition at line 51 of file peptidemodel.h.

## Member Data Documentation

## alignment_type

SpectralAlignmentType pappso::specglob::AminoAcidModel::alignment_type

Definition at line 54 of file peptidemodel.h.

## amino_acid

pappso::Aa pappso::specglob::AminoAcidModel::amino_acid

Definition at line 53 of file peptidemodel.h.

## bracket

bool pappso::specglob::AminoAcidModel::bracket

Definition at line 55 of file peptidemodel.h.

## mass_difference

double pappso::specglob::AminoAcidModel::mass_difference

Definition at line 56 of file peptidemodel.h.

Referenced by pappso::specglob::PeptideModel::eliminateComplementaryDelta().

## remove

bool pappso::specglob::AminoAcidModel::remove = false

Definition at line 57 of file peptidemodel.h.

The documentation for this struct was generated from the following file:

- pappsomspp/processing/specglob/peptidemodel.h